cURL
curl --request POST \ --url https://crm.universal.rollout.com/api/appointments \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Rollout-Credential-Id: <api-key>' \ --data ' { "personId": "<string>", "appointmentTypeId": "<string>", "title": "<string>", "location": "<string>", "userId": "<string>", "invitees": [ { "userId": "<string>", "personId": "<string>" } ], "appointmentOutcomeId": "<string>", "outcomeReason": "<string>", "description": "<string>", "isAllDay": true, "startsAt": "2023-11-07T05:31:56Z", "endsAt": "2023-11-07T05:31:56Z" } '
{ "id": "<string>", "personId": "<string>", "userId": "<string>", "createdById": "<string>", "updatedById": "<string>", "appointmentOutcomeId": "<string>", "appointmentTypeId": "<string>", "invitees": [ { "userId": "<string>", "personId": "<string>" } ], "title": "<string>", "description": "<string>", "location": "<string>", "isAllDay": true, "type": "<string>", "outcome": "<string>", "outcomeReason": "<string>", "startsAt": "<string>", "endsAt": "<string>", "created": "<string>", "updated": "<string>", "rolloutUpdated": "<string>", "originalIds": {}, "original": {} }
Authorization JWT
The Rollout Credential ID to use for queries/mutations
Show child attributes
Created